package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.ProblemFeedback;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-10-12 10:41
 */
public interface ProblemFeedbackService {

    ProblemFeedback get(String id);
    boolean exist(String id);
    int insert(ProblemFeedback model);
    int update(ProblemFeedback model);
    int delete(String id);
    List<ProblemFeedback> list();
    Page<ProblemFeedback> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}
